### Virtual Method

# Ide PreferencesAddin unload

#### Declaration

    void
    unload (
      IdePreferencesAddin* self,
      DzlPreferences* preferences
    )

#### Description

This interface method is called when the preferences addin should remove all controls added to `preferences`. This could happen during desctruction of `preferences`, or when the plugin is unloaded.

Available since: | 3.32

#### Parameters

`preferences` | `DzlPreferences`
| The preferences container implementation.
| The data is owned by the caller of the function.